Commit b4b96c83 authored by nkour's avatar nkour
Browse files

kill support for old versions of dbus [noone runs it, noone tests it] fixes #1912

parent ea6427a0
......@@ -23,7 +23,11 @@ from common import exceptions
try:
import dbus
version = getattr(dbus, 'version', (0, 20, 0))
import dbus.service
# cause dbus 0.35+ doesn't return signal replies without it
import dbus.glib
version = getattr(dbus, 'version')
supported = True
except ImportError:
version = (0, 0, 0)
......@@ -31,14 +35,6 @@ except ImportError:
if not os.name == 'nt': # only say that to non Windows users
print _('D-Bus python bindings are missing in this computer')
print _('D-Bus capabilities of Gajim cannot be used')
# dbus 0.23 leads to segfault with threads_init()
if sys.version[:4] >= '2.4' and version[1] < 30:
supported = False
if version >= (0, 41, 0):
import dbus.service
import dbus.glib # cause dbus 0.35+ doesn't return signal replies without it
class SessionBus:
'''A Singleton for the DBus SessionBus'''
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment